org.deidentifier.arx.criteria

## Class ImplicitPrivacyCriterion

- java.lang.Object
- - org.deidentifier.arx.criteria.PrivacyCriterion
  - - org.deidentifier.arx.criteria.ImplicitPrivacyCriterion

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DPresence, EDDifferentialPrivacy, KAnonymity, KMap, ProfitabilityProsecutor, ProfitabilityProsecutorNoAttack

    public abstract class ImplicitPrivacyCriterion
    extends PrivacyCriterion

A privacy criterion that is implicitly bound to the quasi-identifiers.

Author:
  Fabian Prasser, Florian Kohlmayer
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ImplicitPrivacyCriterion(boolean monotonicWithSuppression, boolean monotonicWithGeneralization)` Creates a new instance

### Method Summary

### Methods inherited from class org.deidentifier.arx.criteria.PrivacyCriterion

`clone, clone, getDataSubset, getMinimalClassSize, getPopulationModel, getRequirements, getRiskThresholdJournalist, getRiskThresholdMarketer, getRiskThresholdProsecutor, getSubset, initialize, isAnonymous, isHeuristicSearchSupported, isHeuristicSearchWithTimeLimitSupported, isLocalRecodingSupported, isMinimalClassSizeAvailable, isMonotonicWithGeneralization, isMonotonicWithSuppression, isOptimalSearchSupported, isSampleBased, isSubsetAvailable, render, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ImplicitPrivacyCriterion

    public ImplicitPrivacyCriterion(boolean monotonicWithSuppression,
                                    boolean monotonicWithGeneralization)

Creates a new instance

Parameters:
  `monotonicWithSuppression` -
  `monotonicWithGeneralization` -